.page {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    app-header, app-footer {
        width: 100%;
    }

    & .info {
        width: 100%;
        height: 80%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        & .avatar {
            height: 120px;
            width: auto;
        }

        & .details {
            width: 90%;
            margin: 24px auto;
            border: 1px solid silver;
            padding: 8px;
            & mat-form-field {
                width: 100%;
            }
        }

        & > button {
            width: 90%;
        }
    }
}

@media (min-width: 481px) {
    .page .info {
        & .details, & > button {
            width: 350px;
        }
    }
}